{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Set Lab Question Pattern
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Lab Question Pattern
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for staff_course_entry in list_of_practical_staff_course_entries %}
                        {% if forloop.counter == 1 %}
                            <li id="tab"
                                {% if selected_staff_course_instance.pk == staff_course_entry.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ staff_course_entry.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ staff_course_entry.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li id="tab"
                                {% if selected_staff_course_instance.pk == staff_course_entry.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ staff_course_entry.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ staff_course_entry.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
            </div>
        </div>

        <form id="dummy_form" method="POST">
            {% csrf_token %}
        </form>


        <div id="wizard" class="form_wizard wizard_horizontal">
            {% if not already_created_paper_pattern %}
            <ul class="wizard_steps anchor">
                <li>
                    <a id="h1" class="selected" isdone="1" rel="1">
                        <span class="step_no">1</span>
                        <span class="step_descr">
                                              Step 1<br>
                                          </span>
                    </a>
                </li>
                <li>
                    <a id="h2" class="done" isdone="1" rel="2">
                        <span class="step_no">2</span>
                        <span class="step_descr">
                                              Step 2<br>

                                          </span>
                    </a>
                </li>
                <li>
                    <a id="h3" class="done" isdone="1" rel="3">
                        <span class="step_no">3</span>
                        <span class="step_descr">
                                              Step 3<br>
                                          </span>
                    </a>
                </li>
            </ul>
            {% endif %}


            <div class="" style="height: 288px;">
                <div id="step-1" class="content" style="display: block;">
                    <h2 class="StepTitle"></h2>
                    <br><br>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-horizontal form-label-left">
                                <form id="addform">
                                    <!--<div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                            Unit Test
                                        </label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="text" id="coursetab" value="{{ selected_course }}"
                                                   hidden>
                                            <select class="form-control" name="utno" id="utno"
                                                    required>
                                                <option value="" disabled selected>Choose Unit Test</option>
                                                <option value="1">UNIT TEST I</option>
                                                <option value="2">UNIT TEST II</option>
                                                <option value="3">UNIT TEST III</option>
                                            </select>
                                        </div>
                                    </div>-->
                                    {% if not already_created_paper_pattern %}
                                    <div id="afterutchosen">
                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                No. of Experiments
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">

                                                <input class="form-control" type="number" name="quescount"
                                                       id="quescount" min="1" max="30" required>
                                            </div>
                                            {#                                            <div class="col-md-3 col-sm-3 col-xs-12">#}
                                            {#                                                <button id="viewer" type="button" class="btn btn-warning">View Previous Pattern#}
                                            {#                                                </button>#}
                                            {#                                            </div>#}
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <button id="add" type="submit" class="btn btn-success">Submit
                                                </button>
                                            </div>

                                        </div>
                                    </div>
                                    {% endif %}
                                    {% if already_created_paper_pattern %}
                                    <div id="alertfield" align="center">
                                        <div class="alert alert-warning" role="alert" align="center">
                                            <h4 style="font-size: 18px"> You have already created the paper
                                                pattern </h4>

                                        </div>
                                        <!--<button type="button" class="btn btn-primary btn-lg" data-toggle="modal"-->
                                                <!--data-target="#myModal">-->
                                            <!--View-->
                                        <!--</button>-->
                                                                                <button type="button" class="btn btn-danger btn-lg" data-toggle="modal"
                                                                                        data-target="#myModaldel">
                                                                                    Delete
                                                                                </button>
                                    </div>
                                    {% endif %}
                                    <div id="resultfield" align="center" style="display: none">
                                        <div class="alert alert-warning" role="alert" align="center">
                                            <h4 style="font-size: 18px"> You have successfully deleted the pattern. Type
                                                the number of questions to create a new pattern </h4>

                                        </div>
                                    </div>

                                    <div class="modal fade" id="checkmodal" tabindex="-1"
                                         role="dialog"
                                         aria-labelledby="conformmodal" aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title">Previous Patterns</h4>
                                                </div>
                                                <div align="center">
                                                    <h5>You have no previous patterns set!<br> Create a new pattern.
                                                    </h5>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal fade" id="myModal" tabindex="-1"
                                         role="dialog"
                                         aria-labelledby="conformmodal" aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title">View Pattern</h4>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-8 col-md-offset-2">
                                                        <div>
                                                            <table class="table table-hover">
                                                                <thead>
                                                                <tr>
                                                                    <th>S. No.</th>
                                                                    <th>Experiment Number</th>
                                                                    <th>Title Mapped</th>
                                                                    <th>Marks Alloted</th>
                                                                </tr>
                                                                </thead>
                                                                <tbody id="viewcontent">

                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-danger" data-toggle="modal"
                                                            data-target="#myModaldel">
                                                        Delete
                                                    </button>
                                                    <button type="button" class="btn btn-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal fade" id="myModaldel" tabindex="-1"
                                         role="dialog"
                                         aria-labelledby="conformmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title">Delete Confirmation</h4>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-8 col-md-offset-2">
                                                        <div>
                                                            <h4 style="font-size: 18px"><strong>Oh
                                                                snap!</strong> This will delete this pattern
                                                                <br><br>And this is unrecoverable process
                                                            </h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                    <button id="deletepattern" type="button"
                                                            class="btn btn-danger"
                                                            data-dismiss="modal">Confirm Delete
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="step-2" class="content" style="display: none;">
                    <br>
                    <h2 class="StepTitle" align="center">Enter the no. of Subdivision for each Experiment(if any)</h2>
                    <h5 align="center">If there are no subdivisions leave it as 1</h5>
                    <br><br>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-horizontal form-label-left">
                                <form id="subform">
                                    <div id="subdivision">

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="step-3" class="content" style="display: none;">
                    <h2 class="StepTitle"></h2>
                    <br><br>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-horizontal form-label-left">
                                <form id="finishform" method="POST">
                                    <div id="comarks">

                                    </div>
                                    <div class="modal fade" id="conformmodal" tabindex="-1"
                                         role="dialog"
                                         aria-labelledby="conformmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title">Confirm Submission</h4>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-8 col-md-offset-2">
                                                        <div id="addconfirmdetails">

                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                    <button id="submit" type="button" class="btn btn-success"
                                                            data-dismiss="modal">Set Pattern
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>



    <script type="text/javascript">


        function isNumberKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode != 46 && charCode > 31
                && (charCode < 48 || charCode > 57))
                return false;

            return true;
        }

        <!--$(document).ready(function () {-->
            <!--if({{ already_created_paper_pattern }}) {-->
                <!--$('#alertfield').show();-->
                 <!--$('#afterutchosen').hide();-->
            <!--}-->
        <!--});-->

        $(document).on("submit", '#addform', function (e) {
            var quescount = $('#quescount').val();
            e.preventDefault();
            $('#add').hide();
            $('#quescount').prop('disabled', true);

            $('#step-1').hide();
            $('#step-2').show();
            $('#h2').addClass('selected').removeClass('done');
            $('#h1').addClass('done').removeClass('selected');

            counter = 1;
            for (; counter <= parseInt(quescount); counter++) {
                document.getElementById('subdivision').innerHTML += '' +
                    '<div class="form-group">' +
                    '<label class="control-label col-md-3 col-sm-3 col-xs-12">Experiment ' + counter + '</label>' +
                    '<div class="col-md-6 col-sm-6 col-xs-12">' +
                    '<input class="form-control" type="number" value="1" id="sub' + counter + '" name="sub' + counter + '" min="1" max="5" onkeypress="return isNumberKey(event)" required>' +
                    '</div>' +
                    '</div>';
            }

            document.getElementById('subdivision').innerHTML += '' +
                '<div class="form-group">' +
                '<label class="control-label col-md-3 col-sm-3 col-xs-12">' +
                '</label>' +
                '<div class="col-md-6 col-sm-6 col-xs-12">' +
                '<button id="proceed" type="submit" class="btn btn-success">Proceed</button>' +
                '</div>' +
                '</div>';
        });


        $(document).on("submit", '#subform', function (e) {
            var quescount = $('#quescount').val();
            e.preventDefault();
            $('#step-2').hide();
            $('#step-3').show();
            $('#h3').addClass('selected').removeClass('done');
            $('#h2').addClass('done').removeClass('selected');

            counter = 1;
            for (; counter <= parseInt(quescount); counter++) {
                for (subcounter = 1; subcounter <= parseInt($('#sub' + counter).val()); subcounter++) {
                    if (parseInt($('#sub' + counter).val()) == '1') {
                        document.getElementById('comarks').innerHTML += '' +
                            '<div class="form-group">' +
                            '<label class="control-label col-md-2 col-sm-2 col-xs-12">Experiment ' + counter + '</label>' +
                            '<div class="col-md-6 col-sm-6 col-xs-12">' +
                            '<input class="form-control" type="text" placeholder="Name of Experiment" id="co' + counter + '-' + subcounter + '" name="co' + counter + '-' + subcounter + '" required>' +
                            '</div>' +
                            '<div class="col-md-3 col-sm-3 col-xs-12">' +
                            '<input class="form-control" type="number" placeholder="Mark for the experiment" id="mark' + counter + '-' + subcounter + '" name="mark' + counter + '-' + subcounter + '" min="1"  onkeypress="return isNumberKey(event)" required>' +
                            '</div>' +
                            '</div>';
                    }
                    else {
                        document.getElementById('comarks').innerHTML += '' +
                            '<div class="form-group">' +
                            '<label class="control-label col-md-2 col-sm-2 col-xs-12">Experiment ' + counter + '-' + String.fromCharCode(96 + subcounter) + '</label>' +
                            '<div class="col-md-6 col-sm-6 col-xs-12">' +
                            '<input class="form-control" type="text" placeholder="Name of Experiment" id="co' + counter + '-' + subcounter + '" name="co' + counter + '-' + subcounter + '" required>' +
                            '</div>' +
                            '<div class="col-md-3 col-sm-3 col-xs-12">' +
                            '<input class="form-control" type="number" placeholder="Mark for the experiment" id="mark' + counter + '-' + subcounter + '" name="mark' + counter + '-' + subcounter + '" min="1" onkeypress="return isNumberKey(event)" required>' +
                            '</div>' +
                            '</div>';
                    }
                }
            }

            document.getElementById('comarks').innerHTML += '' +
                '<div class="form-group">' +
                '<label class="control-label col-md-5 col-sm-5 col-xs-12">' +
                '</label>' +
                '<div class="col-md-6 col-sm-6 col-xs-12">' +
                '<button id="finish" type="submit" class="btn btn-success">Finish</button>' +
                '</div>' +
                '<input type="text" id="sel_crs" value="{{ selected_staff_course_instance.pk }}" hidden>' +
                '</div>';

        });


        $(document).on("submit", '#finishform', function (e) {
            var quescount = $('#quescount').val();

            e.preventDefault();
            //alert($('#mark1-1').val());
            total_marks = 0;
            counter = 1;
            for (; counter <= parseInt(quescount); counter++) {
                for (subcounter = 1; subcounter <= parseInt($('#sub' + counter).val()); subcounter++) {
                    //alert(parseInt($('#mark' + counter + '-' + subcounter).val()));
                    total_marks += parseInt($('#mark' + counter + '-' + subcounter).val());
                }
            }
            //alert(total_marks);


            document.getElementById('addconfirmdetails').innerHTML = '<h5>Total marks set : ' + total_marks + '</h5>' +
                '<br><h4>Do you confirm the pattern?</h4>';
            $('#submit').show();
            $('#conformmodal').modal();

        });


        $(document).on("click", '#submit', function (e) {
            var quescount = $('#quescount').val();
            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: getCookie('csrftoken'),
                name: 'csrfmiddlewaretoken'
            });
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: '{{ selected_staff_course_instance.pk }}',
                name: 'sel_crs'
            });
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#quescount').val(),
                name: 'question_count'
            });
            $hiddenInput.appendTo('form');


            counter = 1;
            for (; counter <= parseInt(quescount); counter++) {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: parseInt($('#sub' + counter).val()),
                    name: 'subdivision' + counter
                });
                $hiddenInput.appendTo('form');

                for (subcounter = 1; subcounter <= parseInt($('#sub' + counter).val()); subcounter++) {
                    var $hiddenInput = $('<input/>', {
                        type: 'hidden',
                        value: parseInt($('#mark' + counter + '-' + subcounter).val()),
                        name: 'mark' + counter + '-' + subcounter
                    });
                    $hiddenInput.appendTo('form');

                    var $hiddenInput = $('<input/>', {
                        type: 'hidden',
                        value: $('#co' + counter + '-' + subcounter).val(),
                        name: 'co' + counter + '-' + subcounter
                    });
                    $hiddenInput.appendTo('form');
                }
            }

            $('#dummy_form').submit();
        });


        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                selected_staff_course_pk = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_staff_course_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();


            });


        });

        {#         $(document).on("click", "#viewer", function (){#}
        {##}
        {#             var course = $('#coursetab').val();#}
        {#            $.ajax({#}
        {#                type: "POST",#}
        {#                data: {#}
        {##}
        {#                    course: course,#}
        {#                    csrfmiddlewaretoken: getCookie('csrftoken'),#}
        {#                },#}
        {#                url: '{% url 'create_lab_pattern' %}',#}
        {##}
        {#                success: function (data) {#}
        {#                    if (data.avail == 'true') {#}
        {#                        $('#alertfield').show();#}
        {#                        $('#myModal').modal('show');#}
        {#                        $('#afterutchosen').hide();#}
        {#                        counter = 1;#}
        {#                        document.getElementById('viewcontent').innerHTML = '';#}
        {#                        $.each(data.list, function (key, val) {#}
        {#                            document.getElementById('viewcontent').innerHTML += '<tr>' +#}
        {#                                    '<td>' + counter++ + '</td>' +#}
        {#                                    '<td>' + val.quesno + '</td>' +#}
        {#                                    '<td>' + val.co + '</td>' +#}
        {#                                    '<td>' + val.mark + '</td>' +#}
        {#                                    '</tr>';#}
        {#                        });#}
        {#                    }#}
        {#                    else {#}
        {#                        $('#afterutchosen').hide();#}
        {#                        $('#checkmodal').modal('show');#}
        {#                        $('#quescount').focus();#}
        {##}
        {#                    }#}
        {#                }#}
        {#            });#}
        {#         });#}

        /* $(document).on("change", '#utno', function (e) {
         var utno = $(this).val();
         var course = $('#coursetab').val();

         $.ajax({
         type: "POST",
         data: {
         unittestno: utno,
         course: course,
         csrfmiddlewaretoken: getCookie('csrftoken'),
         },
         url: ,

         success: function (data) {
         if (data.avail == 'true') {
         $('#alertfield').show();
         $('#afterutchosen').hide();
         counter = 1;
         document.getElementById('viewcontent').innerHTML = '';
         $.each(data.list, function (key, val) {
         document.getElementById('viewcontent').innerHTML += '<tr>' +
         '<td>' + counter++ + '</td>' +
         '<td>' + val.quesno + '</td>' +
         '<td>' + val.co + '</td>' +
         '<td>' + val.mark + '</td>' +
         '</tr>';
         });
         }
         else {
         $('#afterutchosen').show();
         $('#alertfield').hide();
         $('#quescount').focus();
         }
         }
         });
         });*/

        $(document).on("click", '#deletepattern', function (e) {
            $.ajax({
                type: "POST",
                data: {
                    delcourse: 'true',
                    sel_crs: '{{ selected_staff_course_instance.pk }}',
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'create_lab_pattern' %}',

                success: function (data) {
                    if (data.avail == 'true') {
                        $('#myModal').modal('hide');
                        $('#alertfield').hide();
                        $('#resultfield').show();
                    }
                }
            });
        });

    </script>

{% endblock %}